# -----
# Function begins
waveNumber = function(frequency, waterDepth.m){
  
  # Physical parameters
  g = 9.81          # gravitational acceleration (m/s^2)

  # Calculate wave number with some complicated formula....
  w = 2*pi*frequency
  x = waterDepth.m*w/sqrt(g*waterDepth.m)
  y = x^2 * (1 - exp(-x^2.4908))^-0.4014774
  
  k = y/waterDepth.m
  #L = 2*pi/k wave length
  
  return(k)
}
